Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.util
Class FrameworkUrlConstants

    java.lang.Object
      com.bea.netuix.util.FrameworkUrlConstants

    public abstract class FrameworkUrlConstants

extends Object

This class enumerates request parameters used by the portal framework.

Portal applications and portlets are discouraged from using the parameter names as the semantics of these parameters are controlled by the portal framework, and are subjected to change between releases.

Portal applications can query methods in this class to determine if a string is a parameter reserved by the portal framework.

Nested Class Summary
`static interface` | `FrameworkUrlConstants.PassthruParameter` Denotes a parameter name in `FrameworkUrlConstants` that should be propagated as-is into local and (especially) remote (WSRP) URLs.

Field Summary
`static String` | `ASYNC_MODE` Sets the Desktop Async mode for this request.
`static String` | `BEA_NETUIX_XHR` Put in the request header to inform the server that this is an XHR type request (reserved).
`static String` | `BEA_NETUIX_XHR_TYPE` A request header used for async, content-only portlet rendering (reserved).
`static String` | `CLEAR_PUBLIC_RENDER_PARAM`
`static String` | `COMMUNITY_ADMIN_FLAG_PARAM` Name of the param used to provide a hint that the user wants to retrieve the admin view of a community resource - as opposed to their customized view.
`static String` | `COMMUNITY_DESKTOP` Communities standalone portlet flag query parameter.
`static String` | `COMPRESSED_URL_REQUEST_PARAM`
`static String` | `CONTENT_CHANGE`
`static String` | `CONTENT_TYPE_AJAX_RESPONSE` A response content-type used for proprietry AJAX interactions (reserved).
`static String` | `CONTROL_PARAM` The unique id request parameter to identify the source of a JspContentContext.
`static String` | `CONTROL_STATE_PARAM` Control state parameter (reserved).
`static String` | `DESKTOP_LABEL_PARAM` Desktop definition label query parameter (reserved).
`static String` | `EVENT_NAME_PARAM` Custom event name query parameter (reserved).
`static String` | `EVENT_PARAM` The request parameter to indicate the action to be performed by this object.
`static String` | `KEY_ASYNC`
`static String` | `KEY_ASYNC_MODE`
`static String` | `KEY_COMPRESSION` If the `KEY_COMPRESSION` request parameter is found in a URL, then URL compression is supressed for that URL.
`static String` | `KEY_CONTENT_MODE`
`static String` | `KEY_CONTENT_ONLY`
`static String` | `KEY_DEFAULT_WINDOW_ICON`
`static String` | `KEY_DEFAULT_WINDOW_ICON_PATH`
`static String` | `KEY_DISC_ENABLED`
`static String` | `KEY_LAF_UNIQUE_ID`
`static String` | `KEY_PORTAL_CONTENT_TYPE`
`static String` | `KEY_PORTAL_ID`
`static String` | `KEY_PORTAL_URL`
`static String` | `KEY_PORTLET_INSTANCE_LABEL`
`static String` | `KEY_SKELETON`
`static String` | `KEY_SKELETON_CHROMOSOME`
`static String` | `KEY_SKELETON_PATH`
`static String` | `KEY_SKIN`
`static String` | `KEY_SKIN_CHROMOSOME`
`static String` | `KEY_SKIN_PATH`
`static String` | `KEY_STREAMING`
`static String` | `KEY_THEME_ALT_SKELETON`
`static String` | `KEY_THEME_ALT_SKIN`
`static String` | `KEY_THEME_NAME`
`static String` | `KEY_THEME_SKELETON_CHROMOSOME`
`static String` | `KEY_THEME_SKIN_CHROMOSOME`
`static String` | `KEY_TITLE`
`static String` | `LOADSTATE_PARAM` Load state request query parameter (reserved).
`static String` | `MODE_PARAM` Window mode query parameter (reserved).
`static String` | `NF_LOADSTATE_LIT`
`static String` | `NF_POSTBACK_LIT`
`static String` | `PAGE_LABEL_PARAM` Page label query parameter (reserved).
`static String` | `PORTLET_SUB_INSTANCE_ID` subInstanceId param: denotes a subInstanceId that is to be used for a Portlet
`static String` | `POSTBACK_PARAM` Postback request query parameter (reserved).
`static String` | `RESOURCE_CACHEABILITY_PARAM`
`static String` | `RESOURCE_ID_PARAM`
`static String` | `RESOURCE_RENDER_PARAMS_CURRENT_PARAM`
`static String` | `STATE_PARAM` Window state query parameter (reserved).
`static String` | `TREE_OPTIMIZATION_PARAM` Tree Optimization request query parameter (reserved).
`static String` | `URL_TYPE`
`static String` | `VIEW_ID_PARAMETER`
`static String` | `WINDOW_LABEL_PARAM` Window label query parameter (reserved).

Constructor Summary
`FrameworkUrlConstants()`

Method Summary
`static Set<String>` | `getAllReservedParameters()` Returns a read-only set of names of all parameters reserved by the portal framework.
`static Set<String>` | `getPassthruParameters()` Get a read-only set of all portal framework parameter names that should be propagated as-is into local and (especially) remote (WSRP) URLs.
`static boolean` | `isParameterReserved(String name)` Returns true if the given name is a reserved portal framework request parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NF_POSTBACK_LIT

    public static final String NF_POSTBACK_LIT

See Also
  Constants Summary

### NF_LOADSTATE_LIT

    public static final String NF_LOADSTATE_LIT

See Also
  Constants Summary

### LOADSTATE_PARAM

    public static final String LOADSTATE_PARAM

  Load state request query parameter (reserved).

  See Also
    Constants Summary

### POSTBACK_PARAM

    public static final String POSTBACK_PARAM

  Postback request query parameter (reserved).

  See Also
    Constants Summary

### COMMUNITY_DESKTOP

    public static final String COMMUNITY_DESKTOP

  Communities standalone portlet flag query parameter.

  See Also
    Constants Summary

### TREE_OPTIMIZATION_PARAM

    public static final String TREE_OPTIMIZATION_PARAM

  Tree Optimization request query parameter (reserved).

  See Also
    Constants Summary

### ASYNC_MODE

    public static final String ASYNC_MODE

  Sets the Desktop Async mode for this request.

  See Also
    Constants Summary

### BEA_NETUIX_XHR

    public static final String BEA_NETUIX_XHR

  Put in the request header to inform the server that this is an XHR type request (reserved).

  See Also
    Constants Summary

### BEA_NETUIX_XHR_TYPE

    public static final String BEA_NETUIX_XHR_TYPE

  A request header used for async, content-only portlet rendering (reserved).

  See Also
    Constants Summary

### CONTENT_TYPE_AJAX_RESPONSE

    public static final String CONTENT_TYPE_AJAX_RESPONSE

  A response content-type used for proprietry AJAX interactions (reserved). The format of responses with this content type is reserved.

  See Also
    Constants Summary

### WINDOW_LABEL_PARAM

    public static final String WINDOW_LABEL_PARAM

  Window label query parameter (reserved).

  See Also
    Constants Summary

### STATE_PARAM

    public static final String STATE_PARAM

  Window state query parameter (reserved).

  See Also
    Constants Summary

### MODE_PARAM

    public static final String MODE_PARAM

  Window mode query parameter (reserved).

  See Also
    Constants Summary

### PAGE_LABEL_PARAM

    public static final String PAGE_LABEL_PARAM

  Page label query parameter (reserved).

  See Also
    Constants Summary

### DESKTOP_LABEL_PARAM

    public static final String DESKTOP_LABEL_PARAM

  Desktop definition label query parameter (reserved).

  See Also
    Constants Summary

### EVENT_NAME_PARAM

    public static final String EVENT_NAME_PARAM

  Custom event name query parameter (reserved).

  See Also
    Constants Summary

### CONTROL_STATE_PARAM

    public static final String CONTROL_STATE_PARAM

  Control state parameter (reserved).

  See Also
    Constants Summary

### PORTLET_SUB_INSTANCE_ID

    public static final String PORTLET_SUB_INSTANCE_ID

  subInstanceId param: denotes a subInstanceId that is to be used for a Portlet

  See Also
    Constants Summary

### COMMUNITY_ADMIN_FLAG_PARAM

    public static final String COMMUNITY_ADMIN_FLAG_PARAM

  Name of the param used to provide a hint that the user wants to retrieve the admin view of a community resource - as opposed to their customized view.

  See Also
    Constants Summary

### KEY_COMPRESSION

    public static final String KEY_COMPRESSION

  If the `KEY_COMPRESSION` request parameter is found in a URL, then URL compression is supressed for that URL.

  See Also
    Constants Summary

### KEY_STREAMING

    public static final String KEY_STREAMING

See Also
  Constants Summary

### KEY_LAF_UNIQUE_ID

    public static final String KEY_LAF_UNIQUE_ID

See Also
  Constants Summary

### KEY_TITLE

    public static final String KEY_TITLE

See Also
  Constants Summary

### KEY_SKELETON

    public static final String KEY_SKELETON

See Also
  Constants Summary

### KEY_SKELETON_PATH

    public static final String KEY_SKELETON_PATH

See Also
  Constants Summary

### KEY_SKELETON_CHROMOSOME

    public static final String KEY_SKELETON_CHROMOSOME

See Also
  Constants Summary

### KEY_SKIN

    public static final String KEY_SKIN

See Also
  Constants Summary

### KEY_SKIN_PATH

    public static final String KEY_SKIN_PATH

See Also
  Constants Summary

### KEY_SKIN_CHROMOSOME

    public static final String KEY_SKIN_CHROMOSOME

See Also
  Constants Summary

### KEY_DEFAULT_WINDOW_ICON

    public static final String KEY_DEFAULT_WINDOW_ICON

See Also
  Constants Summary

### KEY_DEFAULT_WINDOW_ICON_PATH

    public static final String KEY_DEFAULT_WINDOW_ICON_PATH

See Also
  Constants Summary

### KEY_THEME_NAME

    public static final String KEY_THEME_NAME

See Also
  Constants Summary

### KEY_THEME_ALT_SKELETON

    public static final String KEY_THEME_ALT_SKELETON

See Also
  Constants Summary

### KEY_THEME_ALT_SKIN

    public static final String KEY_THEME_ALT_SKIN

See Also
  Constants Summary

### KEY_THEME_SKELETON_CHROMOSOME

    public static final String KEY_THEME_SKELETON_CHROMOSOME

See Also
  Constants Summary

### KEY_THEME_SKIN_CHROMOSOME

    public static final String KEY_THEME_SKIN_CHROMOSOME

See Also
  Constants Summary

### KEY_PORTAL_URL

    public static final String KEY_PORTAL_URL

See Also
  Constants Summary

### KEY_PORTAL_ID

    public static final String KEY_PORTAL_ID

See Also
  Constants Summary

### KEY_PORTAL_CONTENT_TYPE

    public static final String KEY_PORTAL_CONTENT_TYPE

See Also
  Constants Summary

### KEY_PORTLET_INSTANCE_LABEL

    public static final String KEY_PORTLET_INSTANCE_LABEL

See Also
  Constants Summary

### KEY_CONTENT_ONLY

    public static final String KEY_CONTENT_ONLY

See Also
  Constants Summary

### KEY_CONTENT_MODE

    public static final String KEY_CONTENT_MODE

See Also
  Constants Summary

### KEY_ASYNC

    public static final String KEY_ASYNC

See Also
  Constants Summary

### KEY_ASYNC_MODE

    public static final String KEY_ASYNC_MODE

See Also
  Constants Summary

### KEY_DISC_ENABLED

    public static final String KEY_DISC_ENABLED

See Also
  Constants Summary

### CONTENT_CHANGE

    public static final String CONTENT_CHANGE

See Also
  Constants Summary

### CONTROL_PARAM

    public static final String CONTROL_PARAM

  The unique id request parameter to identify the source of a JspContentContext.

  See Also
    Constants Summary

### EVENT_PARAM

    public static final String EVENT_PARAM

  The request parameter to indicate the action to be performed by this object.

  See Also
    Constants Summary

### VIEW_ID_PARAMETER

    public static final String VIEW_ID_PARAMETER

See Also
  Constants Summary

### COMPRESSED_URL_REQUEST_PARAM

    public static final String COMPRESSED_URL_REQUEST_PARAM

See Also
  Constants Summary

### URL_TYPE

    public static final String URL_TYPE

See Also
  Constants Summary

### CLEAR_PUBLIC_RENDER_PARAM

    public static final String CLEAR_PUBLIC_RENDER_PARAM

See Also
  Constants Summary

### RESOURCE_ID_PARAM

    public static final String RESOURCE_ID_PARAM

See Also
  Constants Summary

### RESOURCE_RENDER_PARAMS_CURRENT_PARAM

    public static final String RESOURCE_RENDER_PARAMS_CURRENT_PARAM

See Also
  Constants Summary

### RESOURCE_CACHEABILITY_PARAM

    public static final String RESOURCE_CACHEABILITY_PARAM

See Also
  Constants Summary

Constructor Detail

### FrameworkUrlConstants

    public FrameworkUrlConstants()

Method Detail

### isParameterReserved

    public static boolean isParameterReserved(String name)

  Returns true if the given name is a reserved portal framework request parameter.

  Parameters
    `name` - name
  Returns
    reserved or not

### getAllReservedParameters

    public static Set<String> getAllReservedParameters()

  Returns a read-only set of names of all parameters reserved by the portal framework.

  Returns
    set of names

### getPassthruParameters

    public static Set<String> getPassthruParameters()

  Get a read-only set of all portal framework parameter names that should be propagated as-is into local and (especially) remote (WSRP) URLs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.